=== debian/changelog ===
ants (1.9+svn532-5) unstable; urgency=low

  * Disable lengthy _SYN unittest to allow pass on slow archs (like sparc)
    (Closes: #594133). Added few other reasonably fast tests
  * Boosting policy to 3.9.1 -- including BSD-3 verbatim into copyright,
    updating copyright format according to DEP5 rev135

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Aug 2010 17:53:32 -0400

ants (1.9+svn532-4) unstable; urgency=low

  * Cherry picking rev 581,589-590 from upstream to assure correct application
    of transformation while operating on 4D timeseries (Closes: #588195)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Jul 2010 12:34:52 -0400

ants (1.9+svn532-3) unstable; urgency=low

  * Moving under NeuroDebian umbrella
  * Absorbed commits from upstream:
    - avoid division by 0 in progress meter (Closes: #586915)
    - initializer warper ones (prior to the loop) in 
      WarpTimeSeriesImageMultiTransform

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Jun 2010 11:25:16 -0400

ants (1.9+svn532-2) unstable; urgency=low

  * Placing all binaries and scripts under /usr/lib/ants, since many
    scripts rely on binaries to be in the same directory, and ftp-master
    raised concern about some names for the binaries.  ANTS binary only gets
    symlinked under /usr/bin
  * Initial Debian release (Closes: #579569)
  * Added fsl and gridengine-client into suggests

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Jun 2010 13:11:44 -0400

ants (1.9+svn532-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Apr 2010 13:29:29 -0400
