=== debian/watch ===
version=3
opts="uversionmangle=s/pt/./g" http://sf.net/advants/ants(.*)code\.zip
