## ants 1.9.2+svn680.dfsg

=== debian/changelog ===
ants (1.9.2+svn680.dfsg-4) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build using GCC 4.7. Closes: #667099.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 May 2012 10:27:15 -0400

ants (1.9.2+svn680.dfsg-3) unstable; urgency=low

  * Seems to build fine now against available ITK 3.20 (Closes: #655306)
  * Boosting policy to 3.9.3 (no changes)
  * Version ITK build-depends >= 3.16~
  * Placed build PATH ahead of system wide during tests so proper version
    of ants gets tested on systems with ants installed
  * (Temporarily) added a bulk of build-depends for wrapper bindings for
    vtk >= 5.8 to overcome #584300

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Mar 2012 13:08:26 -0500

ants (1.9.2+svn680.dfsg-2) unstable; urgency=low

  * Upload to unstable version from experimental (forgotten there).
    Builds fine with ITK 3.20 (Closes: #614483)
  * New patch deb_antspath -- use default path on Debian systems
    (/usr/lib/ants) and do not override with hardcode custom upstream paths
    (Closes: #636529)
  * Boosting policy to 3.9.2 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2011 21:34:43 -0400

ants (1.9.2+svn680.dfsg-1) experimental; urgency=low

  * New upstream release
  * Adding .dfsg since Documentation/ is pruned from source trees
    due to incomplete set of building materials to reproduce PDFs

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 14 Nov 2010 21:24:18 -0500
