=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 else
     export CFLAGS += -O2
 endif
-export CXXFLAGS = $(CFLAGS)
+export CXXFLAGS = $(CFLAGS) -fpermissive
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -46,7 +46,7 @@
 	# debhelper just calls make test so no -R could be passed
 	# PATH=$$PATH:$(DESTBINDIR) dh_auto_test -- -R "ANTS_(CC_1|...$$)"
 	# thus lets do it manually
-	cd obj-*; PATH=$$PATH:$(DESTBINDIR) ctest --force-new-ctest-process -R "ANTS_(CC_1|SYN_|EXP|...$$)" -E "(ANTS_SYN|ANTS_SYN_WITH_TIME)$$"
+	cd obj-*; PATH=$(DESTBINDIR):$$PATH ctest --force-new-ctest-process -R "ANTS_(CC_1|SYN_|EXP|...$$)" -E "(ANTS_SYN|ANTS_SYN_WITH_TIME)$$"
 
 override_dh_auto_install:
 	dh_auto_install
