=== debian/watch ===
version=3
opts="uversionmangle=s/pt/./g,dversionmangle=s/.dfsg$//" http://sf.net/advants/ants(.*)code\.zip
